import { Component, Input } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { BaseComponent } from '@common/base/base.component';

@Component({
	selector: 'app-dataset-editor-component',
	templateUrl: 'dataset-editor.component.html',
	styleUrls: ['./dataset-editor.component.scss']
})
export class DatasetEditorComponent extends BaseComponent {

	@Input() formGroup: FormGroup = null;

	constructor(
		private router: Router,
	) { super(); }


	public cancel(): void {
		this.router.navigate(['/datasets']);
	}
}
